import math
import wave
import struct

audio = []
sample_rate = 44100.0

def append_sinewave(
        freq=440.0, 
        duration_milliseconds=500, 
        volume=1.0):
      num_samples = duration_milliseconds * (sample_rate / 1000.0)
    for x in range(int(num_samples)):
        audio.append(volume * math.sin(2 * math.pi * freq * ( x / sample_rate )))
    return


def save_wav(file_name):
    wav_file=wave.open(file_name,"w")
    nchannels = 1
    sampwidth = 2
    nframes = len(audio)
    comptype = "NONE"
    compname = "not compressed"
    wav_file.setparams((nchannels, sampwidth, sample_rate, nframes, comptype, compname))
    for sample in audio:
        wav_file.writeframes(struct.pack('h', int( sample * 32767.0 )))
    wav_file.close()
    return

### Indiquer la valeur de la fréquence
append_sinewave(freq = ...., duration_milliseconds = 2000, volume=1)

save_wav("Fichier.wav")
