import math
import sounddevice as sd

audio = []
sample_rate = 44100.0

def append_sinewave(
        freq=440.0, 
        duration_milliseconds=500, 
        volume=1.0):
    global audio
    num_samples = duration_milliseconds * (sample_rate / 1000.0)
    for x in range(int(num_samples)):
        audio.append(volume * math.sin(2 * math.pi * freq * ( x / sample_rate )))
    sd.play(audio, sample_rate)
    return

### Compléter le script en rajoutant la valeur de la fréquence
append_sinewave(freq = ...., duration_milliseconds = 2000, volume=1)

